com.smartgwt.client.widgets.drawing

## Class Shadow

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.Shadow

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class Shadow
      extends DataClass

  A class used to define a shadow used in a Draw<Shape> Types.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shadow()`
    `Shadow(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBlur()`
    `java.lang.String` | `getColor()`
    `Point` | `getOffset()`
    `static Shadow` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setBlur(int blur)`
    `void` | `setColor(java.lang.String color)`
    `void` | `setOffset(Point offset)`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shadow

          public Shadow()

    - #### Shadow

          public Shadow(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Shadow getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBlur

          public void setBlur(int blur)

      Parameters:
        `blur` - New blur value. Default value is 10

    - #### getBlur

          public int getBlur()

      Returns:
        Current blur value. Default value is 10

    - #### setColor

          public void setColor(java.lang.String color)

      Parameters:
        `color` - New color value. Default value is black
      See Also:
        `CSSColor`

    - #### getColor

          public java.lang.String getColor()

      Returns:
        Current color value. Default value is black
      See Also:
        `CSSColor`

    - #### setOffset

          public void setOffset(Point offset)

      Parameters:
        `offset` - New offset value. Default value is [0,0]

    - #### getOffset

          public Point getOffset()

      Returns:
        Current offset value. Default value is [0,0]